Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class PrintedStatParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.PrintedStatParams

    public class PrintedStatParams

extends Object

Represents the parameters for a group printed statistics when a statistical report is queried

Field Summary
`protected Boolean` | `detailed`
`protected String` | `measure`
`protected Boolean` | `onlyAverages`
`protected Boolean` | `periods`

Constructor Summary
`PrintedStatParams()`

Method Summary
`String` | `getMeasure()` Gets the value of the measure property.
`boolean` | `isDetailed()` Gets the value of the detailed property.
`boolean` | `isOnlyAverages()` Gets the value of the onlyAverages property.
`boolean` | `isPeriods()` Gets the value of the periods property.
`boolean` | `isSetDetailed()`
`boolean` | `isSetMeasure()`
`boolean` | `isSetOnlyAverages()`
`boolean` | `isSetPeriods()`
`void` | `setDetailed(boolean value)` Sets the value of the detailed property.
`void` | `setMeasure(String value)` Sets the value of the measure property.
`void` | `setOnlyAverages(boolean value)` Sets the value of the onlyAverages property.
`void` | `setPeriods(boolean value)` Sets the value of the periods property.
`void` | `unsetDetailed()`
`void` | `unsetOnlyAverages()`
`void` | `unsetPeriods()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measure

    protected String measure

### detailed

    protected Boolean detailed

### periods

    protected Boolean periods

### onlyAverages

    protected Boolean onlyAverages

Constructor Detail

### PrintedStatParams

    public PrintedStatParams()

Method Detail

### getMeasure

    public String getMeasure()

  Gets the value of the measure property.

  Returns:
    possible object is `String`

### setMeasure

    public void setMeasure(String value)

  Sets the value of the measure property.

  Parameters:
    `value` - allowed object is `String`

### isSetMeasure

    public boolean isSetMeasure()

### isDetailed

    public boolean isDetailed()

  Gets the value of the detailed property.

  Returns:
    possible object is `Boolean`

### setDetailed

    public void setDetailed(boolean value)

  Sets the value of the detailed property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDetailed

    public boolean isSetDetailed()

### unsetDetailed

    public void unsetDetailed()

### isPeriods

    public boolean isPeriods()

  Gets the value of the periods property.

  Returns:
    possible object is `Boolean`

### setPeriods

    public void setPeriods(boolean value)

  Sets the value of the periods property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetPeriods

    public boolean isSetPeriods()

### unsetPeriods

    public void unsetPeriods()

### isOnlyAverages

    public boolean isOnlyAverages()

  Gets the value of the onlyAverages property.

  Returns:
    possible object is `Boolean`

### setOnlyAverages

    public void setOnlyAverages(boolean value)

  Sets the value of the onlyAverages property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetOnlyAverages

    public boolean isSetOnlyAverages()

### unsetOnlyAverages

    public void unsetOnlyAverages()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.